#include<bits/stdc++.h>
using namespace std;

int main(){

int n;
cin>>n;
string num;
if(n<2)cout<<"-1"<<endl;
else{
    num.insert(num.begin(),n/2,'1');
    if(n%2)num[0]='7';
    cout<<num<<endl;
}

return 0;
}
